## org.codehaus.groovy.grails.beans.factory
Class UrlMappingFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          org.codehaus.groovy.grails.beans.factory.UrlMappingFactoryBean

All Implemented Interfaces:
  BeanClassLoaderAware, BeanFactoryAware, DisposableBean, FactoryBean, InitializingBean, ApplicationContextAware

    public class UrlMappingFactoryBean

extends AbstractFactoryBean
implements ApplicationContextAware

A factory bean that creates the URL mappings, checking if there is a bean called urlMap in the ctx and merging that with the mappings set explicitly on this bean

Since:
  0.3
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`UrlMappingFactoryBean()`

Method Summary
`protected Object` `createInstance()`
`Class` `getObjectType()`
`void` `setApplicationContext(ApplicationContext applicationContext)`
`void` `setMappings(Map mappings)`

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlMappingFactoryBean

    public UrlMappingFactoryBean()

Method Detail

### createInstance

    protected Object createInstance()
                             throws Exception

  Specified by:
    `createInstance` in class `AbstractFactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`
  Specified by:
    `getObjectType` in class `AbstractFactoryBean`

### setMappings

    public void setMappings(Map mappings)

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`

Copyright (c) 2005-2009 The Grails project